
Synnefo - Bug # 209

Status: Closed Priority: High

Author: Markos Gogoulos Category: Cyclades UI

Created: 02/04/2011 Assignee: Dimitris Moraitis

Updated: 04/05/2011 Due date: 04/01/2011

Subject: box επιβεβαίωσης για τα actions 

Description

Μήνυμα επιβεβαίωσης (Θέλετε να κάνετε το _ action?) με ΟΚ προχωράει, με Cancel δεν το κάνει.

Related issues:

related to Synnefo - Feature # 213: Error Handling API (Django) - GUI Closed 02/11/2011 04/01/2011

related to Synnefo - Feature # 293: Partial refresh στο GUI Closed 03/16/2011 04/01/2011

Associated revisions

Revision c2464ef2 - 03/19/2011 07:04 pm - Christos Psaltis

Add and style confirmation box in standard view

This refers to the confirmation box for single machine actions.

At this point you can only view it by removing display: none

from div.confirmation.

Refs #209

Revision d725fb12 - 03/19/2011 08:16 pm - Christos Psaltis

Add and style confirmation box in list & standard view.

This refers to the confirmation box for multiple machine actions

in standard view and all machine actions in list view. The box

appears at the bottom of the page. You can only view it

by removing display: none from div.confirmation.

Refs #209

Revision 267403ca - 03/23/2011 09:20 pm - Dimitris Moraitis

new style confirmations & abort old switch view requests - Refs #209 Fixes #309

Revision f025c6e2 - 03/24/2011 03:25 pm - Dimitris Moraitis

store datetimes in UTC - Fixes #209

Revision aa0534a7 - 03/24/2011 04:38 pm - Dimitris Moraitis

new style confirmations  in standard view - Refs #209

04/25/2024 1/6



Revision a1a31201 - 03/24/2011 05:57 pm - Dimitris Moraitis

new style action indicators in standard view - Refs #209

Revision 879748ec - 03/24/2011 10:33 pm - Markos Gogoulos 

fix error handling and confirmation boxes

On the standard listing

Refs #209 #213

Revision 990772be - 03/24/2011 11:34 pm - Dimitris Moraitis

new style action indicators in list view - Refs #209

Revision 695e1b21 - 03/26/2011 03:23 pm - Dimitris Moraitis

polish new style error boxes & validate rangeinputs - Refs #209 #213 #147

Revision 309d7ed2 - 03/30/2011 04:09 pm - Dimitris Moraitis

autoposition multiple confirm box  - Refs #209

History

#1 - 02/07/2011 11:57 am - Vangelis Koukis

- Assignee set to Markos Gogoulos

#2 - 02/14/2011 10:15 am - Markos Gogoulos

- Status changed from New to Feedback

exei ginei sto standard view

#3 - 02/15/2011 03:00 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Assigned

Στο shutdown δεν βγαίνει το box.

Στο reboot βγαίνει μόνο την πρώτη φορά.

Αν πατήσω "ναι" γυρνάει ένα error 400 όπως επίσης το ίδιο βγάζει και ο wizard στο τελείωμά του

#4 - 02/22/2011 01:52 pm - Christos Psaltis

- Status changed from Assigned to Feedback
διορθώθηκε

#5 - 03/09/2011 01:45 am - Markos Gogoulos

Αφαιρέθηκε απο το start action και πλεον παραμένει στα reboot/destroy/shutdown

Χρειαζεται κατι αλλο αυτο το ticket η μπορει να κλεισει?

#6 - 03/09/2011 09:49 am - Constantinos Venetsanopoulos

Θα ανέβει mockup για να καταλήξουμε πως θα φαίνεται στο GUI

#7 - 03/10/2011 01:57 pm - Constantinos Venetsanopoulos

- Category set to Cyclades UI

- Assignee changed from Markos Gogoulos to Christos Psaltis

- Priority changed from Medium to High

Έχουν ανέβει mockup σχετικά με τη διαδικασία confirmation τόσο στο icon view (web_layout_0.0.10-{1,2,3,4,6}.png), όσο και στο list view

(web_layout_0.0.10-5.png). Τα fonts δεν έχουν γίνει render τέλεια, γιατί έγιναν μέσω windows, αλλά δε νομίζω ότι υπάρχει ιδιαίτερο πρόβλημα.

Συγκεκριμένα:

Στο Icon View:

1. Μόλις ο χρήστης κάνει click σε ένα action το αction αλλάζει χρώμα (πορτοκαλί) και εμφανίζεται δεξιά το confirmation box στοιχισμένο ανάλογα με

το γκρι hoverbox του machine που έγινε το action (web_layout_0.0.10-1.png).

3. To confirmation box εχει ίδιο χρώμα με το hoverbox και τα κενό που αφήνει δεξιά είναι ίδιο με το κενό που αφήνει το hoverbox αριστερά

(web_layout_0.0.10-1.png). 

2. Οι επιλογές είναι "Confirm" (με πορτοκαλί border) και "Cancel" (με γκρι border).

3. Από τη στιγμή που έχει βγεί το confirmation box, οπουδήποτε αλλού και αν κινηθεί το ποντίκι, το hoverbox, τα actions και το confirmation box

παραμένουν σταθερά ως έχουν, όπως και το πορτοκαλί (ή όποιο άλλο) χρώμα στο action που πάτησε.

4. Με hover πανω από το "Confirm" το κουτί γίνεται πορτοκαλί (web_layout_0.0.10-2.png).

5. Με hover πανω από το "Cancel" το κουτί γίνεται γκρι σκούρο (web_layout_0.0.10-3.png).

6. Αν ο χρήστης πατήσει "Confirm" γίνεται το κατάλληλο action.

7. Αν ο χρήστης πατήσει "Cancel" σβήνει το confirmation box και γυρίζουμε στην προηγούμενη κατάσταση.

Έστω ότι ο χρήστης ενώ έχει πατήσει ένα action για ένα μηχάνημα, κάνει hover πάνω από ένα δεύτερο μηχάνημα:

1. Το αντίστοιχο hoverbox ενεργοποιείται και βγαίνουν δεξιά τα actions.

2. O χρήστης πατάει ένα action στο δεύτερο μηχάνημα.

3. Τότε ανοίγει και δεύτερο confirmation box και περιμένει και αυτό (web_layout_0.0.10-4.png).

4. Ταυτόχρονα ανοίγει στο κάτω μέρος μία γκρι μπάρα με την οποία μπορεί να κάνει Confirm/Cancel όλες τις παραπάνω ενέργειες.

(web_layout_0.0.10-4.png).

5. Η ίδια μπάρα τον ενημερώνει πόσα μηχανήματα επηρεάζει ενδεχόμενο "Confirm All" 

6. Αν ο χρήστης πατήσει "Cancel All" σβήνουν όλα τα confirmation boxes.

7. Αν ο χρήστης πατήσει "Confirm All" το GUI στέλνει όλα τα actions.

Για όλες τις παραπάνω περιπτώσεις: * Σε περίπτωση που έχουμε succesfull submission ο χρήστης δεν βλέπει κανένα μήνυμα. Απλά σβήνει το

confirmation box. * Σε περίπτωση error το confirmation box δεν σβήνει και βγάζει μήνυμα λάθους. Αν ο χρήστης πατήσει details, τότε μόνο τον πετάει

σε overlay που του εξηγεί αναλυτικά. Μετά το κλείσιμο του overlay φεύγει και το confirmation box (web_layout_0.0.10-6.png).

Στο List View:

04/25/2024 3/6



1. Ο χρήστης διαλέγει όλα τα μηχανήματα που θέλει.

2. Πατάει ένα action.

3. To action αυτό αλλάζει χρώμα (πορτοκαλί) και ταυτόχρονα βγαίνει στο κάτω μέρος μία γκρί μπάρα (web_layout_0.0.10-5.png).

4. Η γκρί μπάρα τον ενημερώνει για το action που έχει διαλέξει και πόσα μηχανήματα θα επηρεάσει (web_layout_0.0.10-5.png).

5. Το hover πανω από τα Confirm/Cancel δουλεύει όπως και στο icon view.

6. Αν ο χρήστης πατήσει "Confirm" τότε γίνεται το ανάλογο action.

7. Αν ο χρήστης πατήσει "Cancel" τότε σβήνει η γκρι μπάρα και σβήνει και το χρώμα από το επιλεγμένο action. Τα επιλεγμένα μηχανήματα

παραμένουν επιλεγμένα.

#8 - 03/10/2011 01:59 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Assigned

#9 - 03/18/2011 05:18 pm - Christos Psaltis

- Status changed from Assigned to Feedback

Στο commit:984af1e1 έχω κάνει τα actions να γίνονται πορτοκαλί όταν κάνει hover πάνω τους. Τώρα που ξαναβλέπω το τίκετ δεν είμαι και πολύ

σίγουρος ότι έπρεπε να γίνει έτσι. Για να ξεκαθαρίσω λίγο την ιδέα, θα πρέπει να αλλάζει σε πορτοκαλί το hover και να μένει πορτοκαλί όταν το

πατάς ή να είναι μαύρο με underline στο hover (όπως πριν) και μόνο όταν το κάνεις κλικ να γίνεται πορτοκαλί;

#10 - 03/19/2011 08:35 pm - Christos Psaltis

Το γραφιστικό κομμάτι αυτών έχει γίνει. Ωστόσο η λογική δεν είναι πλήρως έτοιμη ακόμα. Για να δείτε πως εμφανίζονται θα πρέπει στο css να γίνει

commented out η γραμμή display:none του div.confirmation.

#11 - 03/22/2011 11:51 am - Constantinos Venetsanopoulos

- Status changed from Feedback to Assigned

Ως προς το γραφιστικό κομμάτι:

Ωραίο φαίνεται γενικά, μόνο κάποιες παρατηρήσεις:

1. Η επιλογή γίνεται πορτοκαλί και μένει σταθερή στο σημείο σε onclick και όχι hover. Επίσης onclick εξαφανίζονται οι υπόλοιπες επιλογές

(shutdown/more ktl). Με hover γίνεται underline μαύρο όπως ήταν πριν.

2. Στην γενική μπάρα κάτω κάτω έχουμε "cancel all" και "confirm all" και όχι "cancel", "confirm".

3. Τα κουτιά Cancel/Confirm να έχουν ακριβώς το ίδιο μέγεθος και στοιχισμένα στη μέση του confirmation box (τώρα το cancel είναι μεγαλύτερο από

το confirm).

Ως προς τη λειτουργικότητα:

Δεν μπορούμε ακόμη να την επαληθεύσουμε

#12 - 03/23/2011 11:52 am - Vangelis Koukis

- Due date set to 03/25/2011

Διευκρινίσεις όπως προέκυψαν από τη σημερινή συνάντηση:

α) η συμπεριφορά κάθε confirmation box στο standard view είναι συγκεκριμένη, προδιαγράφεται παραπάνω. Όταν ο χρήστης πατήσει "Confirm All"

[πρέπει να αλλάξει και το όνομα στην τρέχουσα υλοποίηση] τότε το GUI προκαλεί confirmation για κάθε κουτί χωριστά. Η συμπεριφορά του κάθε

κουτιού είναι ανεξάρτητη.
β) Στο list view ο χρήστης μπορεί μόνο μαζικά να επιβεβαιώσει ενέργεια ενός τύπου [π.χ. destroy όλα, shutdown όλα κλπ].

γ) Δεν υπάρχει κατάσταση που διατηρείται από standard σε list view και το αντίστροφο. Αντίστοιχα, δεν υπάρχει κατάσταση που διατηρείται σε

refresh: Αν πατήσω F5 ενώ έχω πατήσει confirm all και αυτό είναι in progress, δεν θα γίνουν τα μισά. Ομοίως, αν φαίνεται ότι μια ενέργεια είναι

pending [ο spinner γυρίζει πάνω στη μηχανή] αν πατήσω F5 αυτό θα χαθεί, αλλά θα καταλάβω αργότερα ότι έχω ζητήσει κάτι, γιατί θα δω το

notification.

δ) Στο list view η ειδοποίηση για ΑΛΛΑΓΗ [κυματάκι] θα βγαίνει πάνω από το εικονίδιο του ΛΣ. Ομοίως, το spinner για ΥΠΟΒΟΛΗ θα βγαίνει στο ίδιο

σημείο.

#13 - 03/24/2011 11:38 pm - Dimitris Moraitis

- Status changed from Assigned to Feedback

- Assignee changed from Christos Psaltis to Dimitris Moraitis

Σε γενικές γραμμές είναι έτοιμο. Το κυματάκι ίσως να μην είναι τόσο καλή επιλογή επειδή δεν υπάρχει σαφής νοηματικός συσχετισμός με τα

επιτυχή server actions. Επίσης ίσως να ήταν καλύτερα η επιβεβαίωση πολλαπλών ενεργειών να εμφανίζεται πάνω αντι για κάτω επειδή τώρα αν

υπάρχουν πολλά vms χάνεται.

#14 - 03/28/2011 11:44 am - Constantinos Venetsanopoulos

- Status changed from Feedback to Assigned

Σε firefox 4 παίρνω για όλα τα actions error και malformed request (επίσης το κουτάκι που βγαίνει μέσα το error δεν είναι ίδιο μέγεθος με το

προηγούμενο και χαλάει τη στοίχιση).

Σε opera 11 η λειτουργικότητα φαίνεται ότι είναι σωστή, αλλά τα κουτιά και τα κουμπιά βγαίνουν σε λάθος σημεία.

Επίσης, όπως λέω και παραπάνω με hover πάνω από τα actions αυτά πρέπει να γίνονται underline (όπως παλιά) και όχι πορτοκαλί. Πορτοκαλί γίνεται

μόνο το action που πατήθηκε.

Στο list view τα κουμπιά δεν λένε "Confirm all", "Cancel all" αλλά "Confirm" , "Cancel" γιατί πρέπει να ξεχωρίζει κάπως ότι δεν γίνονται διαφορετικές

ενέργειες αλλά μία ενέργεια σε πολλά μηχανήματα.

#15 - 03/28/2011 01:34 pm - Constantinos Venetsanopoulos

Για την κάτω μπάρα είχαμε πει ότι θα όταν τα VMs δεν χωρούν στο παράθυρο και έχουμε scroll bar τότε η μπάρα θα μένει σταθερή στο κάτω μέρος

του παραθύρου ανεξάρτητα από το scrolling (position:fixed στο css)

#16 - 03/30/2011 11:40 am - Vangelis Koukis

Για τη μπάρα, ίσως βοηθήσει αυτό εδώ όπου η μπάρα μένει μόνιμη στο πάνω μέρος όταν χρειάζεται:

http://perldoc.perl.org/perldoc.html

#17 - 03/30/2011 11:41 am - Vangelis Koukis

- Due date changed from 03/25/2011 to 04/01/2011
#18 - 03/30/2011 11:42 am - Vangelis Koukis

Επίσης η επιλογή γίνεται πορτοκαλί όταν κάνω κλικ, όχι όταν φεύγει το ποντίκι.

Και αυτά που λέει ο [cven] στο note 14.

#19 - 03/31/2011 05:11 pm - Constantinos Venetsanopoulos

Η κάτω μπάρα για "Confirm all" πρέπει να έχει μήκος όσο φαίνεται στο mockup (από εκεί που ξεκινά το hoverbox μέχρι εκεί που τελειώνει το

confirmation box) και όχι width όσο είναι όλο το λευκό. Επίσης όταν δεν είναι fixed, να μην είναι κολλημένη στη μπλε κάτω μπάρα, αλλά να βρίσκεται

κάτω από τους stopped servers (όπως εδώ web_layout_0.0.10-4.png)

#20 - 03/31/2011 05:13 pm - Constantinos Venetsanopoulos

Σε firefox 4 παίζουν όλα οκ πλέον

#21 - 03/31/2011 05:32 pm - Vangelis Koukis

Constantinos Venetsanopoulos wrote:

Σε firefox 4 παίζουν όλα οκ πλέον

Εδώ μπερδεύτηκα. Μετά από επικοινωνία με τον Κωνσταντίνο, ναι, ΟΚ, παίζει γενικά το GUI με ff4 [δεν κάνει "malformed request" errors κλπ], αλλά

ισχύουν τα σημεία 18 και 19 παραπάνω, αυτά μένει να διορθωθούν.

#22 - 04/01/2011 09:09 pm - Dimitris Moraitis

- Status changed from Assigned to Feedback

έγιναν όλα

#23 - 04/03/2011 11:34 am - Vangelis Koukis

- Status changed from Feedback to Resolved

Φαίνεται να είναι εντάξει, το κλείνω μετά το feedback από το demo.

#24 - 04/05/2011 01:45 pm - Vangelis Koukis

- Status changed from Resolved to Closed

Το κλείνω τώρα, για να καθαρίσει το τοπίο από tickets.

Ο,τιδήποτε προκύψει από το demo ή γενικότερα, θα ανοίξει ως νέο bug/feature.
